1. pet
My Project
  • Start your Apidog journey
  • petstore
    • user
      • Get user by user name
      • Updated user
      • Delete user
      • Create user
      • Creates list of users with given input array
      • Creates list of users with given input array
      • Logs out current logged in user session
      • Logs user into the system
    • pet
      • Update an existing pet
        PUT
      • Add a new pet to the store
        POST
      • Find pet by ID
        GET
      • Updates a pet in the store with form data
        POST
      • Deletes a pet
        DELETE
      • uploads an image
        POST
      • Finds Pets by tags
        GET
      • Finds Pets by status
        GET
    • store
      • Place an order for a pet
      • Find purchase order by ID
      • Delete purchase order by ID
      • Returns pet inventories by status
  • Schemas
    • Sample Schemas
    • RequestBodies
    • Schemas
      • User
      • Category
      • Pet
      • Tag
      • Order
      • ModelApiResponse
  1. pet

Update an existing pet

PUT
/v2/pet/{petId}

Request

Path Params

Query Params

Body Params application/json

Examples

Responses

🟠404Record Not Found
application/json
Body

🟢200OK
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/v2/pet/13?apidogResponseId' \
--header 'Content-Type: application/json' \
--data-raw '{
    "id": 27866793,
    "category": {
        "id": 86774761,
        "name": "Jerald Sipes"
    },
    "name": "doggie",
    "photoUrls": [
        "https://loremflickr.com/400/400?lock=6623246778721229"
    ],
    "tags": [
        {
            "id": 9951072,
            "name": "Audrey Paucek"
        },
        {
            "id": 84542274,
            "name": "Hazel Gislason"
        }
    ],
    "status": "available"
}'
Response Response Example
404 - Example 1
null
Modified at 2025-06-23 11:23:58
Previous
Logs user into the system
Next
Add a new pet to the store
Built with